Skip to main content
GET
/
v3
/
validation_results
Get list of all validation results
curl --request GET \
  --url https://{region}.affinda.com/v3/validation_results \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{region}.affinda.com/v3/validation_results"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{region}.affinda.com/v3/validation_results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
  {
    "id": 1,
    "annotations": [
      1,
      2,
      3
    ],
    "passed": true,
    "ruleSlug": "supplier-name-is-alphanumeric",
    "message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
    "document": "<string>"
  }
]
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Query Parameters

offset
integer

The number of documents to skip before starting to collect the result set.

Required range: x >= 0
Example:

0

limit
integer

The numbers of results to return.

Required range: 1 <= x <= 100
Example:

20

document
string
required

Filter by document. Unique identifier for the document

Response

All matching workspace memberships.

id
integer
required

Validation Result's ID

Required range: x >= 1
Example:

1

annotations
integer[]
required

List of annotation ids that were validated

Example:
[1, 2, 3]
passed
boolean | null
required

Whether the validation passed or not, null if the validation was not applicable

Example:

true

ruleSlug
string
required

The kebab-case slug of the validation rule that was applied

Pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
Example:

"supplier-name-is-alphanumeric"

message
string
required

Message explaining why the validation failed

Example:

"Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*"

document
string
required

Unique identifier for the document